Summary: Programs which control basic system processes.
Name: SysVinit
%define version 2.78
Version: %{version}
Release: 10
Copyright: GPL
Group: System Environment/Base
Source: ftp://ftp.cistron.nl/pub/people/miquels/sysvinit/sysvinit-%{version}.tar.gz
Patch1: sysvinit-2.74-man.patch
Patch2: sysvinit-2.77-md5-be.patch
Patch3: sysvinit-2.78-sigint.patch
Patch4: sysvinit-2.78-halt.patch
Patch5: sysvinit-2.78-md5.patch
Patch6: sulogin-nologin.patch
Buildroot: /var/tmp/init-root
Requires: pam >= 0.66-5

%description
The SysVinit package contains a group of processes that control 
the very basic functions of your system. SysVinit includes the init 
program, the first program started by the Linux kernel when the 
system boots.  Init then controls the startup, running and shutdown
of all other programs.

%prep
%setup -q -n sysvinit-%{version}
%patch1 -p1 -b .manpatch
%patch2 -p1 -b .be
%patch3 -p1 -b .sigint
%patch4 -p1 -b .halt
%patch5 -p1 -b .md5
%patch6 -p1 -b .nologin

%build
# cpp hack workaround
cd src
perl -pi -e "s,\"paths.h\",\"pathsfoo.h\",g" *
mv paths.h pathsfoo.h
cd ..
make -C src

%install
rm -rf $RPM_BUILD_ROOT
for I in sbin usr/bin %{_mandir}/man{1,3,5,8} etc var/run dev; do
	mkdir -p $RPM_BUILD_ROOT/$I
done
make -C src ROOT=$RPM_BUILD_ROOT MANDIR=%{_mandir} \
	BIN_OWNER=`id -nu` BIN_GROUP=`id -ng` install

# If this already exists, just do nothing (the ||: part)
mknod --mode=0600 $RPM_BUILD_ROOT/dev/initctl p ||:
ln -snf killall5 $RPM_BUILD_ROOT/sbin/pidof

chmod 755 $RPM_BUILD_ROOT/usr/bin/utmpdump

%post
[ -e /var/run/initrunlvl ] && ln -s ../var/run/initrunlvl /etc/initrunlvl
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/Propaganda doc/changelog doc/Install
%doc doc/sysvinit-%{version}.lsm contrib/start-stop-daemon.* 
/sbin/halt
/sbin/init
/sbin/killall5
/sbin/pidof
/sbin/poweroff
/sbin/reboot
/sbin/runlevel
/sbin/shutdown
/sbin/sulogin
/sbin/telinit

/usr/bin/last
/usr/bin/lastb
/usr/bin/mesg
/usr/bin/utmpdump
%attr(2555,root,tty)  /usr/bin/wall
%{_mandir}/*/*
/dev/initctl

%changelog
* Tue Aug  8 2000 Bill Nottingham <notting@redhat.com>
- set SHLVL in sulogin so /etc/profile.d stuff isn't run by default

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun  8 2000 Bill Nottingham <notting@redhat.com>
- fix the md5 code (#11534)
- rebuild for FHS & the like

* Wed Apr 19 2000 Bill Nottingham <notting@redhat.com>
- ignore sigint in sulogin (#9803)
- touch file in root directory if powering off (#7318)

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Thu Feb 24 2000 Bill Nottingham <notting@redhat.com>
- update to 2.78-final

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- build to fix dependency problem

* Tue Jan 10 2000 Bill Nottingham <notting@redhat.com>
- update to 2.78

* Mon Sep 06 1999 Jakub Jelinek <jj@ultra.linux.cz>
- on big endian machines use a kludge for broken pam md5 passwords

* Fri Aug 27 1999 Bill Nottingham <notting@redhat.com>
- update to 2.77

* Tue Jul 06 1999 Bill Nottingham <notting@redhat.com>
- move pam_console stuff to usermode package

* Fri Jul 02 1999 Cristian Gafton <gafton@redhat.com>
- requires usermode to express the dependency on /usr/bin/consolehelper
(#2813)

* Wed Jun 23 1999 Bill Nottingham <notting@redhat.com>
- make man page references to single-user mode consistent with RH usage

* Sat Apr 17 1999 Jeff Johnson <jbj@redhat.com>
- remove /etc/initlvl compatibility symlink from file list (#2236).

* Fri Mar 26 1999 Michael Johnson <johnsonm@redhat.com>
- pam.d files marked noreplace
- added poweroff as a console application

* Mon Mar 22 1999 Michael Johnson <johnsonm@redhat.com>
- marked config files as such in consolehelper part of filelist

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Fri Mar 19 1999 Michael Johnson <johnsonm@redhat.com>
- consolehelper support

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- glibc 2.1

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- poweroff symlink not included (problem #762)

* Thu Jul 09 1998 Chris Evans <chris@ferret.lmh.ox.ac.uk>
- Fix a securelevel releated security hole. Go on, try and break append
  only files + securelevel now ;-)

* Wed Jul  8 1998 Jeff Johnson <jbj@redhat.com>
- remove /etc/nologin at end of shutdown.
- compile around missing SIGPWR on sparc

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.74
- fixed the package source url... (yeah, it was wrong !)

* Wed Oct 1 1997 Cristian Gafton <gafton@redhat.com>
- fixed the MD5 check in sulogin (128 hash bits encoded with base64 gives
  22 bytes, not 24...). Fix in -md5.patch

* Thu Sep 11 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- /etc/initrunlvl gets linked to /tmp/init-root/var/run/initrunlvl which is
  just plain wrong..
- /usr/bin/utmpdump was missing in the files section, although it was
  explicitly patched into PROGS.
- added attr's to the files section.
- various small fixes.

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- updated to 2.71
- built against glibc 2.0.4

* Fri Feb 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added sulogin.8 man page to file list.
